Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: glance

Interfaces

### Description:

OpenStack image registry and delivery service.

### Interfaces:

glance_admin( domain , role )

##### Summary

All of the rules required to administrate an glance environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

glance_append_log( domain )

##### Summary

Append glance log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_domtrans_api( domain )

##### Summary

Execute a domain transition to run glance api.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

glance_domtrans_registry( domain )

##### Summary

Execute a domain transition to run glance registry.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

glance_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete glance lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_manage_lib_files( domain )

##### Summary

Create, read, write, and delete glance lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_manage_log( domain )

##### Summary

Create, read, write, and delete glance log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_manage_pid_files( domain )

##### Summary

Create, read, write, and delete glance pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_read_lib_files( domain )

##### Summary

Read glance lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_read_log( domain )

##### Summary

Read glance log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_read_pid_files( domain )

##### Summary

Read glance pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

glance_search_lib( domain )

##### Summary

Search glance lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return